#include "LineStat.h"

#include <iostream>
#include <fstream>
#include <vector>
using namespace std;

int main( int argc, char* argv[] ) {

  ifstream file( argv[1] );
  LineStat ls;

  ls.beginJob();

  int maxLength = 1000;
  char* line = new char[maxLength];
  while ( file.getline( line, maxLength ) ) ls.process( line );

  ls.endJob();

  return 0;

}

